Authorization
publishableKey customerToken Publishable API key for permitted client events.
In: header
Customer session proof, required together with a production publishable key.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customer/merges" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "source_customer_token": "ocs_example_not_a_credential" }'{ "id": "string", "source_customer_id": "string", "target_customer_id": "string", "membership_generation": "string"}Authorization
secretKey Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customer_merges" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "source_customer_id": "cust_source", "target_customer_id": "cust_target" }'{ "id": "string", "source_customer_id": "string", "target_customer_id": "string", "membership_generation": "string"}